package net.t2code.alias.Spigot.config.alias;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Util;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;
import java.util.Arrays;
import java.util.Collections;

public class CreateExampleAliasConfig {

    public static void configCreate() {
        long long_ = System.currentTimeMillis();
        send.console(Util.getPrefix() + " §4Alias/aliasexample.yml are created...");

        File config = new File(Main.getPath(), "Alias/aliasexample.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        Config.set("Alias.Enable", true, yamlConfiguration);
        Config.set("Alias.AliasList", Arrays.asList("aliasexample1"),yamlConfiguration);

        Config.set("Alias.Permission.Necessary", true, yamlConfiguration);
        Config.set("Alias.Permission.Permission", "t2code.alias.use.<alias>", yamlConfiguration);
        Config.set("Alias.Permission.CustomNoPermissionMSG", "", yamlConfiguration);

        Config.set("Alias.Cost.Enable", false,yamlConfiguration);
        Config.set("Alias.Cost.Price", 0.0,yamlConfiguration);
        Config.set("Alias.Cost.AllowByPass", true,yamlConfiguration);

        Config.set("Alias.Command.Enable", true, yamlConfiguration);
        Config.set("Alias.Command.CommandAsConsole", true, yamlConfiguration);
        Config.set("Alias.Command.BungeeCommand", false, yamlConfiguration);
        Config.set("Alias.Command.Commands", Collections.singletonList("say hi"), yamlConfiguration);

        Config.set("Alias.Message.Enable", false, yamlConfiguration);
        Config.set("Alias.Message.Messages", Collections.emptyList(), yamlConfiguration);

        Config.set("Alias.Admin.Enable", true, yamlConfiguration);
        Config.set("Alias.Admin.Permission", "t2code.alias.admin", yamlConfiguration);

        Config.set("Alias.Admin.Command.Enable", true, yamlConfiguration);
        Config.set("Alias.Admin.Command.CommandAsConsole", true, yamlConfiguration);
        Config.set("Alias.Admin.Command.BungeeCommand", false, yamlConfiguration);
        Config.set("Alias.Admin.Command.Commands", Collections.singletonList("say hi"), yamlConfiguration);

        Config.set("Alias.Admin.Message.Enable", false, yamlConfiguration);
        Config.set("Alias.Admin.Message.Messages", Collections.emptyList(), yamlConfiguration);

        Config.set("Alias.Console.Enable", false, yamlConfiguration);
        Config.set("Alias.Console.Command.Enable", false, yamlConfiguration);
        Config.set("Alias.Console.Command.BungeeCommand", false, yamlConfiguration);
        Config.set("Alias.Console.Command.Commands", Collections.emptyList(), yamlConfiguration);
        Config.set("Alias.Console.Message.Enable", false, yamlConfiguration);
        Config.set("Alias.Console.Message.Messages", Collections.emptyList(), yamlConfiguration);
        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }
        send.console(Util.getPrefix() + " §2Alias/aliasexample.yml were successfully created." + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
    }
}
