package net.t2code.alias.Spigot.config.config;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Util;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;

public class CreateConfig {


    public static void configCreate() {
        long long_ = System.currentTimeMillis();
        if (new File(Main.getPath(), "config.yml").exists()) {
            if (Main.getPlugin().getConfig().getBoolean("Plugin.Debug")) send.console(Util.getPrefix() + " §5DEBUG: §6" + " §4config.yml are created / updated...");
        } else send.console(Util.getPrefix() + " §4config.yml are created...");

        File config = new File(Main.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        Config.set("Plugin.language", "english", yamlConfiguration);

        Config.set("BungeeCord.Enable", false, yamlConfiguration);
        Config.set("BungeeCord.ThisServer", "server", yamlConfiguration);

        Config.set("Buy.Message", true, yamlConfiguration);
        Config.set("SubAlias.TabComplete", true, yamlConfiguration);

        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }
        send.console(Util.getPrefix() + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
    }
}
