package net.t2code.alias.Spigot.config.languages;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Util;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.Plugin;

import java.io.File;
import java.io.IOException;

public class LanguagesCreate {

    public static void langCreate() {
        send.debug(Main.getPlugin(),"§4Language files are created / updated...");
        long long_ = System.currentTimeMillis();

        /**
         *
         * ENGLISH
         *
         */

        File messagesEN = new File(Main.getPath(), "languages/english_messages.yml");
        YamlConfiguration yamlConfigurationEN = YamlConfiguration.loadConfiguration(messagesEN);

        Config.set("Plugin.OnlyForPlayer", MSG.EN_OnlyForPlayer, yamlConfigurationEN);
        Config.set("Plugin.AliasDisabled", MSG.EN_Disabled, yamlConfigurationEN);
        Config.set("Plugin.Reload.Start", MSG.EN_ReloadStart, yamlConfigurationEN);
        Config.set("Plugin.Reload.End", MSG.EN_ReloadEnd, yamlConfigurationEN);
        Config.set("Plugin.ForCommand", MSG.EN_NoPermissionForCommand, yamlConfigurationEN);

        Config. set("Cost.Buy", MSG.EN_Buy, yamlConfigurationEN);
        Config.set("Cost.NoMoney", MSG.EN_NoMoney, yamlConfigurationEN);

        try {
            yamlConfigurationEN.save(messagesEN);
        } catch (IOException e) {
            send.warning(Main.getPlugin(),e.getMessage());
            e.printStackTrace();
        }

        /**
         *
         * GERMAN
         *
         */


        File messagesDE = new File(Main.getPath(), "languages/german_messages.yml");
        YamlConfiguration yamlConfigurationDE = YamlConfiguration.loadConfiguration(messagesDE);

        Config.set("Plugin.OnlyForPlayer", MSG.DE_OnlyForPlayer, yamlConfigurationDE);
        Config.set("Plugin.AliasDisabled", MSG.DE_Disabled, yamlConfigurationDE);
        Config.set("Plugin.Reload.Start", MSG.DE_ReloadStart, yamlConfigurationDE);
        Config.set("Plugin.Reload.End", MSG.DE_ReloadEnd, yamlConfigurationDE);
        Config.set("Plugin.ForCommand", MSG.DE_NoPermissionForCommand, yamlConfigurationDE);

        Config.set("Cost.Buy", MSG.DE_Buy, yamlConfigurationDE);
        Config.set("Cost.NoMoney", MSG.DE_NoMoney, yamlConfigurationDE);

        try {
            yamlConfigurationDE.save(messagesDE);
        } catch (IOException e) {
            send.warning(Main.getPlugin(),e.getMessage());
            e.printStackTrace();
        }


        send.console(Util.getPrefix() + " §2Language files were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
    }
    
}
